/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotMapPage.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 预约审批统计
 *
 * @author xiang
 * @date  2023/09/20 09:09
 **/
@Getter
@Setter
public class WaitApprovalCountVo {

    /** 车辆审批 */
    @ApiModelProperty(value = "车辆审批", position = 1)
    private Long truckBookCount;

    /** 扦样确认 */
    @ApiModelProperty(value = "扦样确认", position = 2)
    private Long samplingCount;

    /** 还款申请 */
    @ApiModelProperty(value = "还款申请", position = 3)
    private Long repayCount;

    /** 放款申请 */
    @ApiModelProperty(value = "放款申请", position = 4)
    private Long loanCount;

    /** 人工补单 */
    @ApiModelProperty(value = "人工补单", position = 5)
    private Long plugCount;

    /** 门锁预约 */
    @ApiModelProperty(value = "门锁预约", position = 6)
    private Long lockCount;

}
