package vip.xiaonuo.biz.modular.depotWork.stats;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 双次过磅记录表(CloudRecordDouble)统计
 *
 * @author makejava
 * @since 2023-07-18 15:58:42
 */
@Data
public class DepotWorkStatsDateVo {

    //总毛重(公斤)
    private BigDecimal grossWeightSum = BigDecimal.ZERO;
    //总皮重(公斤)
    private BigDecimal tareWeightSum = BigDecimal.ZERO;
    //总净重(公斤)
    private BigDecimal netWeightSum = BigDecimal.ZERO;
    //总车次(公斤)
    private Integer truckSum = 0;
    //总入库(公斤)
    private BigDecimal inSurplusSum = BigDecimal.ZERO;
    //总出库(公斤)
    private BigDecimal outSurplusSum = BigDecimal.ZERO;
    //时间
    private String dateVal;

    public DepotWorkStatsDateVo(String dateVal, Integer truckSum) {
        this.dateVal = dateVal;
        this.truckSum = truckSum;
    }
}
