package vip.xiaonuo.biz.modular.depotWork.stats;

import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 双次过磅记录表(CloudRecordDouble)统计
 *
 * @author makejava
 * @since 2023-07-18 15:58:42
 */
@Data
public class DepotWorkStatsVo {

    //总毛重
    private BigDecimal grossWeightSum = BigDecimal.ZERO;
    //总皮重
    private BigDecimal tareWeightSum = BigDecimal.ZERO;
    //总净重
    private BigDecimal netWeightSum = BigDecimal.ZERO;
    //总车次
    private Integer truckSum = 0;
    //总入库(kg)
    private String inSurplusSum = "";
    //总出库(kg)
    private BigDecimal outSurplusSum = BigDecimal.ZERO;
    //库存(kg)
    private BigDecimal surplusSum = BigDecimal.ZERO;

    //时间统计数据
    List<DepotWorkStatsDateVo> dateVos = new ArrayList<>();

}
