package vip.xiaonuo.biz.modular.bizinventory.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BizInventoryGoodsExport {

    /** 序号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"品名报表", "序号"})
    private String number;

    /** 货品 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"品名报表", "品名"})
    private String licensePlate;

    /** 车数 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"品名报表", "统计" , "次数"})
    private String carCount;

    /** 毛重 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"品名报表", "统计" , "出库"})
    private BigDecimal outWeight;

    /** 皮重 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"品名报表", "统计" , "入库"})
    private BigDecimal inWeight;
}
