package vip.xiaonuo.biz.modular.depotTruckWeighDouble.Statistics;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 双次过磅记录表(CloudRecordDouble)统计_车重
 *
 * @author makejava
 * @since 2023-07-18 15:58:42
 */
@Data
public class StatisticsTotalWeightData {

    //毛重
    private BigDecimal totalGrossWeight = BigDecimal.ZERO;
    //皮重
    private BigDecimal totalTareWeight = BigDecimal.ZERO;
    //车次
    private String totalCarNum;
    //净重
    private BigDecimal totalNetWeight = BigDecimal.ZERO;

    public StatisticsTotalWeightData(BigDecimal totalGrossWeight, BigDecimal totalTareWeight, int totalCarNum, BigDecimal totalNetWeight) {
        this.totalGrossWeight = totalGrossWeight;
        this.totalTareWeight = totalTareWeight;
        this.totalCarNum = String.valueOf(totalCarNum);
        this.totalNetWeight = totalNetWeight;
    }
}
