package vip.xiaonuo.biz.modular.depotTruckWeighDouble.param;

import lombok.Data;

/**
 * 双次过磅统计
 *
 * @author Snake
 * @date 2023-07-06 15:16:19
 */
@Data
public class StatisticsParam {

    //1、当日；2、本周；3、本月；4、季度；5、年度；6、全部
    private Integer type = 1;
    //项目编码唯一
    private String depotId;
    //创建时间开始
    private String createTimeStart;
    //创建时间结束
    private String createTimeEnd;

    public StatisticsParam(String depotId, String createTimeStart, String createTimeEnd) {
        this.depotId = depotId;
        this.createTimeStart = createTimeStart;
        this.createTimeEnd = createTimeEnd;
    }

}
